<?php

    include("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("4")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session



  $conexion=conecta_default();



   $num1 =$_POST['elrfc'];
   $num2 =$_POST['regalia'];



     

	 //$status="";
if(isset($num1)){
   
$qa = "SELECT id_inver, rfc, nombre, appat, apmat, estatus_idestatus FROM inversionista WHERE rfc = '$num1'";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());

   if(mysql_affected_rows())
   {
   	$ra = mysql_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc = $ra->rfc;
	$nombre = $ra->nombre;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $estatus = $ra->estatus_idestatus;}
    
	 $q2 = "SELECT regs2.idreg, fechap, _real, apagar, pagado, status, banco.nombre, nocuenta, folio, fechap, observaciones from regs2 left join pagos on regs2.idreg=pagos.idreg left join banco on banco.idbanco=pagos.idbanco where regs2.idreg=$num2 and fechap>='2016-05-01'";}
	
		 
	$lareg=0;
	

 $totalin = 0;
  $totalin2 = 0;
$c2 = mysql_query($q2) or die ('ErrPP: '. mysql_error());
  

   
if(!mysql_affected_rows($conexion))
{
	echo "<center>No hay Regalias por el momento.</center><br>";
    exit;
}


echo "<html>
			<body>
			
			<br>
			<center><font size=\"+3\" color=\"#594106\"><b>Detalle de  Regalias</b></font>
			
			<br><br>$rfc $nombre $apat $amat
			<br><br>

	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">ID</font></th><th><font color=\"#FFFFFF\">Fecha</font></th><th><font color=\"#FFFFFF\">Generado</font></th><th><font color=\"#FFFFFF\">Por Pagar</font></th><th><font color=\"#FFFFFF\">Pagado</font></th><th><font color=\"#FFFFFF\">Estatus</font></th><th><font color=\"#FFFFFF\">Banco</font></th><th><font color=\"#FFFFFF\">nocuenta</font></th>
<th><font color=\"#FFFFFF\">folio</font></th><th><font color=\"#FFFFFF\">Fecha Pago</font></th><th><font color=\"#FFFFFF\">Observaciones</font></th>
</tr>";

while (($objetoPP=mysql_fetch_object($c2)) )
{$totalin+=$objetoPP->apagar; $stat=$objetoPP->status;$lareg=$objetoPP->idreg;

switch ($stat){
	case 0:
	$elstat="Por Pagar";
	break;
	case 1 :
	$elstat="Pagado";
	break;
	case 4 :
	$elstat="Producto";
	break;
	case 5 :
	$elstat="Voucher";
	break;
	
}

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idreg</td><td>$objetoPP->fechap</td><td>$objetoPP->_real </td><td>$objetoPP->apagar</td>
			 <td>$objetoPP->pagado</td><td>$elstat</td><td>$objetoPP->nombre</td><td>$objetoPP->nocuenta</td><td>$objetoPP->folio</td><td>$objetoPP->fechap</td><td>$objetoPP->observaciones</td>             
			
  
		  </tr> 
		 ";
   
}
echo "</table><br>";

$q2 = "SELECT idv, total, restante, status, idcd, observaciones from voucher WHERE `referencia` LIKE '%$lareg%'";
	
		 

$c2 = mysql_query($q2) or die ('ErrPP: '. mysql_error());
  

   
if(!mysql_affected_rows($conexion))
{
	echo "<center>No hay vouchers asociados.</center><br>";
    
}else{
echo"

<font size=\"+3\" color=\"#594106\"><b>Vouchers asociados</b></font>
			
			
	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">ID</font></th><th><font color=\"#FFFFFF\">Total</font></th><th><font color=\"#FFFFFF\">Restante</font></th><th><font color=\"#FFFFFF\">Status</font></th><th><font color=\"#FFFFFF\">CD Realizo</font></th><th><font color=\"#FFFFFF\">Observaciones</font></th><th><font color=\"#FFFFFF\"></font></th></tr>";

while (($objetoPP=mysql_fetch_object($c2)) )
{$totalin+=$objetoPP->apagar; $stat=$objetoPP->status;$elvou=$objetoPP->idv;

switch ($stat){
	case 0:
	$elstat="Por Pagar";
	break;
	case 1 :
	$elstat="Pagado";
	break;
	case 4 :
	$elstat="Producto";
	break;
	case 5 :
	$elstat="Voucher";
	break;
	
}

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idv</td><td>$objetoPP->total</td><td>$objetoPP->restante </td><td>$elstat</td>
			 <td>$objetoPP->idcd</td><td>$objetoPP->observaciones</td>            
			<td><form name=\"pagar\" action=\"detalle_vou.php\" method=\"post\">
			<input type=hidden name=voucher value='$elvou'><input type=hidden name=elrfc value='$rfc'>
			<input type=\"submit\" value=\"VER MAS\" name=\"pago\"></form></td>
  
		  </tr> 
		 ";
   
}
echo "</table><br>";
}

$q3 = "SELECT transacciones.idtransacciones,tipostr_idtipostr, usuarios_ci_idusuarios_ci, consec, rfc, nombre, appat, apmat, cantidad, puntos, regalias from transacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join asignaregs on transacciones.idtransacciones=asignaregs.idtransacciones join pagovta on pagovta.idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE idreg=$num2";
	
		 

$c3 = mysql_query($q3) or die ('ErrPP: '. mysql_error());
  

   
if(!mysql_affected_rows($conexion))
{
	echo "<center>No hay compras relacionada con esta regalia.</center><br>";
    
}else{

echo"

<font size=\"+3\" color=\"#594106\"><b>Compras con estas Regalias</b></font>
			
			
	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Transaccion</font><th><font color=\"#FFFFFF\">Tipo</font><th><font color=\"#FFFFFF\">Pedido</font></th><th><font color=\"#FFFFFF\">RFC</font></th><th><font color=\"#FFFFFF\">Nombre</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th><th><font color=\"#FFFFFF\">Puntos</font></th><th><font color=\"#FFFFFF\">Regalias</font></th><th><font color=\"#FFFFFF\"></font></th></tr>";

while (($objetoPP=mysql_fetch_object($c3)) )
{$totalin+=$objetoPP->apagar; $stat=$objetoPP->tipostr_idtipostr;$lareg=$objetoPP->idreg;

switch ($stat){
	case 10:
	$elstat="Venta";
	break;
	case 11 :
	$elstat="Salida";
	break;
	case 1 :
	$elstat="Cancelado";
	break;
	case 5 :
	$elstat="Voucher";
	break;
	
}

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idtransacciones</td><td>$elstat</td><td>$objetoPP->usuarios_ci_idusuarios_ci - $objetoPP->consec</td><td>$objetoPP->rfc </td><td>$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td><td>$vouchi</td><td>$objetoPP->puntos
			 <td>$objetoPP->regalias</td><td><form name=\"pagar\" action=\"infoped.php\"  target=\"_blank\" method=\"post\">
			<input type=hidden name=pedido value=$objetoPP->idtransacciones />
	<input type=hidden name=centro value=$objetoPP->usuarios_ci_idusuarios_ci />
	<input type=hidden name=id_inv value=$id /><input type=hidden name=tipon value=$a8 />
			<input type=\"submit\" value=\"VER MAS\" name=\"pago\"></form></td>           
			
		  </tr> 
		 ";
   
}
echo "</table>";

}	



	
	?>
	





